package com.qs.mp.channel.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * @author hu
 * @create 2023/4/20 15:39
 * @apiNote 用户盲豆转让信息表实体类
 */

@TableName("mp_user_coin_transfer")
@Data
@ApiModel("用户盲豆转让信息表实体类")
public class ChannelCoinTransfer implements Serializable {

  private static final long serialVersionUID = 1L;

  /**
   * 主键
   */
  @TableId(value = "id", type = IdType.AUTO)
  @ApiModelProperty("主键")
  private Long id;

  /**
   * 转让人ID
   */
  @TableField("transfer_id")
  @ApiModelProperty("转让人ID")
  private Long transferId;

  /**
   * 拥有人ID
   */
  @TableField("have_id")
  @ApiModelProperty("拥有人ID")
  private Long haveId;

  /**
   * 受让人的盲豆数量
   */
  @TableField("number")
  @ApiModelProperty("受让人的盲豆数量")
  private Integer number;

  /**
   * 创建时间
   */
  @TableField("created_time")
  @ApiModelProperty("创建时间")
  private Date createdTime;

  /**
   * 更新时间
   */
  @TableField("updated_time")
  @ApiModelProperty("更新时间")
  private Date updatedTime;
}
