package com.qs.mp.channel.service.impl;

import com.baomidou.mybatisplus.core.conditions.update.LambdaUpdateWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qs.mp.channel.domain.ChannelCoinTransfer;
import com.qs.mp.channel.domain.ChannelOrderDetail;
import com.qs.mp.channel.domain.ChannelTicketTransfer;
import com.qs.mp.channel.domain.param.UserCoinTransferParam;
import com.qs.mp.channel.mapper.ChannelCoinTransferMapper;
import com.qs.mp.channel.service.IChannelCoinTransferService;
import com.qs.mp.user.service.IUserCoinService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * @author hu
 * @create 2023/4/20 15:17
 * @apiNote 用户盲豆转让
 */

@Service
public class ChannelCoinTransferServiceImpl extends ServiceImpl<ChannelCoinTransferMapper, ChannelCoinTransfer> implements IChannelCoinTransferService {

  @Autowired
  private IUserCoinService userCoinService;

  @Override
  @Transactional(rollbackFor = Exception.class)
  public boolean transferCoin(Long userId, UserCoinTransferParam userCoinTransferParam) {
    // 转让盲豆
    ChannelCoinTransfer channelCoinTransfer = new ChannelCoinTransfer();
    channelCoinTransfer.setTransferId(userId);
    channelCoinTransfer.setHaveId(userCoinTransferParam.getAssigneeId());
    channelCoinTransfer.setNumber(userCoinTransferParam.getNumber());
    // 记录盲豆转让信息
    this.save(channelCoinTransfer);
    //处理更新盲豆
    return true;
  }
}

